<h1>Список связей задач и комплексных задач</h1>
<input type="button" value="Добавить" class="btn btn-light" (click)="add()" />
<h3>Всего в таблице элементов {{jobToDailyPlanCount}}</h3>
<table *ngIf="tableMode; else create" class="table table-striped">
    <thead>
        <tr>
            <td>Id</td>
            <td>JobId</td>
            <td>DailyPlanId</td>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let i of jobToDailyPlans">
            <ng-template [ngIf]="jobToDailyPlan?.id != i.id" [ngIfElse]="edit">
                <td width="25%">{{i?.id}}</td>
                <td width="25%">{{i?.jobId}}</td>
                <td width="25%">{{i?.dailyPlanId}}</td>
                <td width="25%">
                    <button class="btn btn-sm btn-primary" (click)="editJobToDailyPlan(i)">Изменить</button>
                    <button class="btn btn-sm btn-danger" (click)="deleteJobToDailyPlan(i)">Удалить</button>
                </td>
            </ng-template>
        </tr>
    </tbody>
</table>
<ngb-pagination *ngIf="tableMode" class="d-flex justify-content-center" [collectionSize]="jobToDailyPlanCount" [pageSize]="pageSize" [(page)]="page" [boundaryLinks]="true" (pageChange)="onPageChanged($event)"></ngb-pagination>


<!--шаблон для редактирования-->
<ng-template #edit>
    <td>
        <input type="text" disabled [ngModel]="jobToDailyPlan.id" class="form-control" />
    </td>
    <td>
        <input #jobId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToDailyPlan.jobId" class="form-control" />
        <div class="alert alert-danger" [hidden]="jobId.valid || jobId.pristine">
            Идентификатор задачи должен быть натуральным числом
        </div>
    </td>
    <td>
        <input #dailyPlanId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToDailyPlan.dailyPlanId" class="form-control" />
        <div class="alert alert-danger" [hidden]="dailyPlanId.valid || dailyPlanId.pristine">
            Идентификатор комплексной задачи должен быть натуральным числом
        </div>
    </td>
    <td width="20%">
        <input type="button" [disabled]="!dailyPlanId.valid || !jobId.valid" value="Сохранить" (click)="updateJobToDailyPlan()" class="btn btn-sm btn-success" />
        <input type="button" value="Отмена" (click)="cancelEditJobToDailyPlan()" class="btn btn-sm btn-warning" />
    </td>
</ng-template>

<!--шаблон для добавления-->
<ng-template #create>
    <div class="form-group">
        <label>JobId</label>
        <input #jobId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToDailyPlan.jobId" class="form-control" />
        <div class="alert alert-danger" [hidden]="jobId.valid || jobId.pristine">
            Идентификатор задачи должен быть натуральным числом
        </div>
    </div>
    <div class="form-group">
        <label>DailyPlanId</label>
        <input #dailyPlanId="ngModel" required pattern="^[1-9]\d*$" type="text" [(ngModel)]="jobToDailyPlan.dailyPlanId" class="form-control" />
        <div class="alert alert-danger" [hidden]="dailyPlanId.valid || dailyPlanId.pristine">
            Идентификатор комплексной задачи должен быть натуральным числом
        </div>
    </div>
    <div>
        <input type="button" [disabled]="!dailyPlanId.valid || !jobId.valid" value="Сохранить" (click)="createJobToDailyPlan()" class="btn btn-success" />
        <input type="button" value="Отмена" (click)="cancelAddJobToDailyPlan()" class="btn btn-warning" />
    </div>
</ng-template>